Subject: Re: [PATCH v2 try2 3/4] completion: bash: fix for multiple dash commands

From: Junio C Hamano <[email-masked]>
Date: Tue, 08 Jun 2021 14:15:05 +0900

Felipe Contreras <[email-masked]> writes:

> SZEDER Gábor wrote:
>> On Sun, Jun 06, 2021 at 01:47:25PM -0500, Felipe Contreras wrote:
>> > Otherwise commands like 'for-each-ref' are not completed.
>> 
>> I think you meant that options of commands like 'for-each-ref' are not
>> completed.
>> ...

> Yes, I meant commands like 'for-each-ref' are not completed correctly...
> by __gitcomp_builtin. Which in practical tearms means what you just
> described above.

I couldn't exactly tell if that's a roundabout way to say "yes,
yours is better and I'll use it in an update, thanks".  I'll assume
that is the case and will mark the topic as expecting the final
update (as it seemed that all the other patches in the series were
received favourably).

Or was it meant as "no, the version you commented on was already
correct (if you squint your eyes)"?

Thanks.